// TEST.CPP: Test-application for OWLEXT classes & code   
//
#include <owlext/core.h>
#pragma hdrstop
#include <stdio.h>
#include <owlext/tipdialg.h>
#include <owlext/tipdialg.rh>
#include <owlext/owlxlink.h>
#include "tipdlg.rh"

OWLEXT_USING_NAMESPACE
	// So we can refer to all OwlExt classes without the prefacing "OwlExt::"


// This will be for our "main" framewindow
//
class TNoClientWindow : public TWindow{
	public:
  	TNoClientWindow(TWindow*parent=0):TWindow(parent){Attr.W = 400;Attr.H = 0;}
};

//
//
//
class TOwlExtApp : public TApplication {
	public:
		TOwlExtApp():TApplication(_T("TipDlg")){}
  	~TOwlExtApp(){}
	protected:
		virtual void InitMainWindow();
    virtual void InitInstance();

		TTipDialog* Tips;
};

void TOwlExtApp::InitMainWindow()
{
  // I want the main window to be a caption & menubar, nothing else
	TFrameWindow* mainWin = new TFrameWindow(0, _T("OWLEXT TipDialog"), new TNoClientWindow, true);
  mainWin->AssignMenu(MAINMENU);
  SetMainWindow(mainWin);
}

void TOwlExtApp::InitInstance()
{
	TApplication::InitInstance();

  Tips = new TTipDialog(GetMainWindow(), TEXT("Software\\OWL\\TipDlg"));
	// This line inserted by 'Tip of the Day' component.
	if(Tips->ShowOnStartup())
		Tips->Create();
}

// Simple OwlMain, since everything's in TOwlExtApp
int
OwlMain(int, char**)
{
	return TOwlExtApp().Run();
}

//==============================================================================
